Skip to content

Get current user portal preferences

GET
/me/preferences
curl --request GET \
--url https://example.com/api/me/preferences \
--header 'Authorization: Bearer <token>'

Returns persisted portal preferences (visual theme, kanban filter defaults, sidebar state, notification toggles) as a JSON object.

Preferences document

Media type application/json
object
preferences
required
object
key
additional properties
any
updated_at
One of:
string format: date-time

Not authenticated

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number
reconnect

True if re-linking GitHub may fix the issue

boolean